curl -X PATCH https://api.okrapdf.com/v1/host/acme-report \
-H "Authorization: Bearer $OKRA_API_KEY" \
-H "Content-Type: application/json" \
-d '{ "title": "Acme Report v2" }'
Hosting
Update Hosted PDF
Update title, source, or access settings for a hosted PDF.
PATCH
/
v1
/
host
/
{namespace}
curl -X PATCH https://api.okrapdf.com/v1/host/acme-report \
-H "Authorization: Bearer $OKRA_API_KEY" \
-H "Content-Type: application/json" \
-d '{ "title": "Acme Report v2" }'
Overview
Update a hosted PDF title, repoint an owned deployment hostname to another PDF withreplace: true, or change access settings such as unlisted, disabled, expiry, password, download availability, and indexing.
curl -X PATCH https://api.okrapdf.com/v1/host/acme-report \
-H "Authorization: Bearer $OKRA_API_KEY" \
-H "Content-Type: application/json" \
-d '{ "title": "Acme Report v2" }'